## xwaylandvideobridge 0.4.0

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2023 David Edmundson <kde@davidedmundson.co.uk>
# SPDX-FileCopyrightText: 2023 Aleix Pol <aleixpol@kde.org>

cmake_minimum_required(VERSION 3.16)

project(xwaylandvideobridge)

set(PROJECT_VERSION "0.4.0")
set(QT_MIN_VERSION "5.15.0")
set(KF_MIN_VERSION "5.83.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if (QT_MAJOR_VERSION STREQUAL "6")
    set(REQUIRED_QT_VERSION "6.4")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()


find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Quick DBus)
if (QT_MAJOR_VERSION STREQUAL "5")
    find_package(Qt5X11Extras ${QT_MIN_VERSION} REQUIRED)
endif()

find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    I18n
    WindowSystem
    Notifications
)

if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)
endif()

find_package(XCB COMPONENTS REQUIRED XCB COMPOSITE EVENT RECORD XFIXES)

find_package(KPipeWire REQUIRED)

add_subdirectory(src)
add_subdirectory(icons)

# Make it possible to use the po files fetched by the fetch-translations step
ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2023 David Edmundson <kde@davidedmundson.co.uk>
# SPDX-FileCopyrightText: 2023 Aleix Pol <aleixpol@kde.org>

add_executable(xwaylandvideobridge)

qt_add_dbus_interface(
   XDP_SRCS
   org.freedesktop.portal.ScreenCast.xml
   xdp_dbus_screencast_interface
)

ecm_qt_install_logging_categories(EXPORT XWAYLANDVIDEOBRIDGE FILE xwaylandvideobridge.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
ecm_qt_declare_logging_category(XDP_SRCS HEADER xwaylandvideobridge_debug.h IDENTIFIER XWAYLANDBRIDGE CATEGORY_NAME org.kde.xwaylandvideobridge DESCRIPTION "Xwayland Video Bridge" EXPORT XWAYLANDVIDEOBRIDGE)

target_sources(xwaylandvideobridge PRIVATE
    main.cpp
    xwaylandvideobridge.cpp
    contentswindow.cpp
    x11recordingnotifier.cpp
    ${XDP_SRCS}
)

configure_file(version.h.in version.h)

target_link_libraries(xwaylandvideobridge
    KF${QT_MAJOR_VERSION}::I18n
    KF${QT_MAJOR_VERSION}::CoreAddons
    KF${QT_MAJOR_VERSION}::WindowSystem
    KF${QT_MAJOR_VERSION}::Notifications
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::DBus
    Qt${QT_MAJOR_VERSION}::Widgets
    K::KPipeWireRecord
    XCB::XCB
    XCB::COMPOSITE
    XCB::RECORD
)

if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(xwaylandvideobridge Qt6::GuiPrivate KF6::StatusNotifierItem)
elseif (QT_MAJOR_VERSION STREQUAL "5")
    target_link_libraries(xwaylandvideobridge Qt5::X11Extras)
endif()

install(TARGETS xwaylandvideobridge ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.xwaylandvideobridge.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.xwaylandvideobridge.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
install(FILES org.kde.xwaylandvideobridge.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
xwaylandvideobridge (0.4.0-2build4) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 19:01:29 +0100

xwaylandvideobridge (0.4.0-2build3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:12:13 -0500

xwaylandvideobridge (0.4.0-2build2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Feb 2025 18:33:07 -0600

xwaylandvideobridge (0.4.0-2build1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 00:46:46 -0600

xwaylandvideobridge (0.4.0-2) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 28 Nov 2024 22:18:47 +0100

xwaylandvideobridge (0.4.0-1) experimental; urgency=medium

  * Initial release (Closes: #1077654)

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 31 Jul 2024 05:31:18 -0700

=== debian/control ===
Source: xwaylandvideobridge
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.1.0~),
               libkf6coreaddons-dev,
               libkf6i18n-dev,
               libkf6notifications-dev,
               libkf6statusnotifieritem-dev,
               libkf6windowsystem-dev,
               libkf6widgetsaddons-dev,
               libpipewire-0.3-dev,
               libkpipewire-dev,
               libxcb-composite0-dev,
               libxcb-record0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxkbcommon-dev,
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev,
               qt6-base-private-dev,
               qt6-declarative-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/neon-packaging/xwaylandvideobridge
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xwaylandvideobridge
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xwaylandvideobridge.git

Package: xwaylandvideobridge
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XWayland Video Bridge for X11 clients
 By design, X11 applications can't access window or screen contents 
 for wayland clients. This is fine in princple, but it breaks screen 
 sharing in tools like Discord, MS Teams, Skype, etc and more.
 .
 This tool allows us to share specific windows to X11 clients, but 
 within the control of the user at all times.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DQT_MAJOR_VERSION=6

## xwaylandvideobridge 0.4.0+p24.04+vstable+git20250912.2108

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-if (QT_MAJOR_VERSION STREQUAL "6")
+if(QT_MAJOR_VERSION STREQUAL "6")
     set(REQUIRED_QT_VERSION "6.4")
     set(KF_MIN_VERSION "5.240.0")
     set(KF_MAJOR_VERSION "6")
@@ -32,8 +32,8 @@
 endif()
 
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Quick DBus)
-if (QT_MAJOR_VERSION STREQUAL "5")
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Quick DBus Widgets)
+if(QT_MAJOR_VERSION STREQUAL "5")
     find_package(Qt5X11Extras ${QT_MIN_VERSION} REQUIRED)
 endif()
 
@@ -41,12 +41,8 @@
     CoreAddons
     I18n
     WindowSystem
-    Notifications
+    Crash
 )
-
-if (QT_MAJOR_VERSION STREQUAL "6")
-    find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)
-endif()
 
 find_package(XCB COMPONENTS REQUIRED XCB COMPOSITE EVENT RECORD XFIXES)
 
@@ -58,4 +54,4 @@
 # Make it possible to use the po files fetched by the fetch-translations step
 ki18n_install(po)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 add_executable(xwaylandvideobridge)
 
 qt_add_dbus_interface(
-   XDP_SRCS
-   org.freedesktop.portal.ScreenCast.xml
-   xdp_dbus_screencast_interface
+    XDP_SRCS
+    org.freedesktop.portal.ScreenCast.xml
+    xdp_dbus_screencast_interface
 )
 
 ecm_qt_install_logging_categories(EXPORT XWAYLANDVIDEOBRIDGE FILE xwaylandvideobridge.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
@@ -15,9 +15,9 @@
 
 target_sources(xwaylandvideobridge PRIVATE
     main.cpp
-    xwaylandvideobridge.cpp
-    contentswindow.cpp
-    x11recordingnotifier.cpp
+    xwaylandvideobridge.cpp xwaylandvideobridge.h
+    contentswindow.cpp contentswindow.h
+    x11recordingnotifier.cpp x11recordingnotifier.h
     ${XDP_SRCS}
 )
 
@@ -27,7 +27,7 @@
     KF${QT_MAJOR_VERSION}::I18n
     KF${QT_MAJOR_VERSION}::CoreAddons
     KF${QT_MAJOR_VERSION}::WindowSystem
-    KF${QT_MAJOR_VERSION}::Notifications
+    KF${QT_MAJOR_VERSION}::Crash
     Qt${QT_MAJOR_VERSION}::Quick
     Qt${QT_MAJOR_VERSION}::DBus
     Qt${QT_MAJOR_VERSION}::Widgets
@@ -37,9 +37,9 @@
     XCB::RECORD
 )
 
-if (QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(xwaylandvideobridge Qt6::GuiPrivate KF6::StatusNotifierItem)
-elseif (QT_MAJOR_VERSION STREQUAL "5")
+if(QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(xwaylandvideobridge Qt6::GuiPrivate)
+elseif(QT_MAJOR_VERSION STREQUAL "5")
     target_link_libraries(xwaylandvideobridge Qt5::X11Extras)
 endif()

=== debian/changelog ===
xwaylandvideobridge (0.4.0+p24.04+vstable+git20250912.2108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Sep 2025 21:09:00 +0000

xwaylandvideobridge (0.4.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 4 Nov 2023 07:48:34 +1000

xwaylandvideobridge (0.0.0-0neon) jammy; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Sun, 23 Apr 2023 05:15:20 +1000

=== debian/control ===
Source: xwaylandvideobridge
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               libkpipewire-dev,
               libpipewire-0.3-dev,
               libxcb-composite0-dev,
               libxcb-record0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/neon-packaging/xwaylandvideobridge
Vcs-Git: https://invent.kde.org/neon/neon-packaging/xwaylandvideobridge.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/xwaylandvideobridge
Maintainer: Neon CI <neon@kde.org>

Package: xwaylandvideobridge
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XWayland Video Bridge
 By design, X11 applications can't access window or screen contents 
 for wayland clients. This is fine in princple, but it breaks screen 
 sharing in tools like Discord, MS Teams, Skype, etc and more.
 .
 This tool allows us to share specific windows to X11 clients, but 
 within the control of the user at all times.
